package com.cyksj.service.translations;

import com.cyksj.model.entity.GoodsDonSku;
import com.cyksj.model.manage.views.GoodsDonViewer;
import com.cyksj.model.views.*;

import java.util.List;

/**
 * 项目名: yhlxj2
 * 文件名: BackInfoTranslationsFrontService
 * 创建者: JavaZou
 * 创建时间:2024/7/16 15:07
 */
public interface BackInfoTranslationsFrontService {
	void setGoodsDetailLanguage(GoodsFrontListView views, String lang);

	void setCategoryGoodsLanguage(GoodsFrontListCategoryView data, String lang);

	String getLanguagePayTitle(Long goodsId, Long skuId, String language);

	void setGoodsBackLanguage(GoodsDonViewer goodsDonViewer, String lang);

	void setSkuBackLanguage(List<GoodsDonSku> goodsDonSkus, String lang);

	String getLanguageSpecVal(Long skuId, String lang);

	String getGoodsTitleLanguage(Long goodsId, String lang);

	void setCouponLanguage(CouponView couponView, String lang);

	void setFieldLanguage(Class<?> tclass, Object obj, Integer type, Long funcId, String lang);

	/**
	 * 设置优惠券规格展示多语言
	 */
	String setCouponGoodsSkuStrLanguage(Long couponId, String lang);

	void setListCategoryNameLanguage(List<GoodsDonCategoryFrontView> list, String lang);

	String getCategoryNameLanguage(Long category, String lang);

	String getLanguagePayDesc(Long goodsId, String lang);

	void getHomeConfigRealGoodsLanguage(List<HomeManagementFrontView> homeManagementFrontViews, String lang);
}
